cutlass::gemm::IgemmSwizzle< GlobalIterator_ > Struct Template Reference

`#include <igemm_swizzle.h>`

## Public Types

typedef GlobalIterator_ | GlobalIterator
| The global iterator. More...
typedef GlobalIterator::Fragment | Fragment
| The source fragment. More...
typedef GlobalIterator::FragmentShape | FragmentShape
| The shape of the source fragment. More...
typedef Fragment | InputFragment
| The source fragment. More...
typedef Fragment | OutputFragment
| The destination fragment. More...

## Public Member Functions

CUTLASS_DEVICE | IgemmSwizzle ()
| The src/dst must be int8 fragments. More...
CUTLASS_DEVICE void | transform (Fragment const &src, Fragment &dst)
| Transform a fragment. More...

## Member Typedef Documentation

## Fragment

template<typename GlobalIterator_ >

typedef GlobalIterator::Fragment cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::Fragment

## FragmentShape

template<typename GlobalIterator_ >

typedef GlobalIterator::FragmentShape cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::FragmentShape

## GlobalIterator

template<typename GlobalIterator_ >

typedef GlobalIterator_ cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::GlobalIterator

## InputFragment

template<typename GlobalIterator_ >

typedef Fragment cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::InputFragment

## OutputFragment

template<typename GlobalIterator_ >

typedef Fragment cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::OutputFragment

## Constructor & Destructor Documentation

## IgemmSwizzle()

template<typename GlobalIterator_ >

CUTLASS_DEVICE cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::IgemmSwizzle | ( |  | ) |

inline

The number of elements must be a multiple of 4. Ctor.

## Member Function Documentation

## transform()

template<typename GlobalIterator_ >

CUTLASS_DEVICE void cutlass::gemm::IgemmSwizzle< GlobalIterator_ >::transform | ( | Fragment const & | src,
|  | Fragment & | dst
| ) |  |

inline

The documentation for this struct was generated from the following file:

- igemm_swizzle.h